# typed: false
# frozen_string_literal: true

# This file was generated by GoReleaser. DO NOT EDIT.
class Arcli < Formula
  desc "Awesome Redmine CLI"
  homepage "https://github.com/mightymatth/arcli"
  version "0.3.6"

  on_macos do
    if Hardware::CPU.intel?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.6/arcli_Darwin_x86_64.tar.gz"
      sha256 "336ebc809b452ce254765fcad6f4eee2c352efe5127fbe808b85866281bf06b8"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
    if Hardware::CPU.arm?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.6/arcli_Darwin_arm64.tar.gz"
      sha256 "c8f09537602ee9acc8f6a6298513e1d8029ac57e42907753c8a5d5733b519a46"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
  end

  on_linux do
    if Hardware::CPU.intel?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.6/arcli_Linux_x86_64.tar.gz"
      sha256 "f7bdef8fcb7c5b6a83694a9761d5ab7598bea969f5abd7c7fb09b096358e3e0b"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
    if Hardware::CPU.arm? && Hardware::CPU.is_64_bit?
      url "https://github.com/mightymatth/arcli/releases/download/v0.3.6/arcli_Linux_arm64.tar.gz"
      sha256 "03ac68a6a33ce148a445da50aabb93a47a38abce470d075c8053f4843ac393b5"

      def install
        bin.install "arcli"
        bash_completion.install "completions/arcli.bash" => "arcli"
        zsh_completion.install "completions/arcli.zsh" => "_arcli"
        fish_completion.install "completions/arcli.fish"
      end
    end
  end

  test do
    system "#{bin}/arcli --version"
  end
end
